commit a7e14b230f311f95548dee1055f581eac224aa0e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 15 12:27:24 2010 +0200

    [molecule.specs.plugins] also parse execution_strategy, avoid it getting pulled in in other parameters

commit 4f4ac2eff7c2039a84b64560f87bd36c258da433
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 31 18:30:48 2010 +0200

    [todo] update TODO

commit 893977255938525ca784f9dc851886312835cc17
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 26 21:24:46 2010 +0200

    Tagging Molecule version 0.9.20.2

commit 44486776a5c0b31de29c549b0888a4950a0379bb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 26 21:21:23 2010 +0200

    [molecule.specs.plugins] TarHandler: always cleanup chroot temp directory

commit 1fd8be4963feebfce2535586809e457d61c201e7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Aug 13 17:53:15 2010 +0200

    [tests] fix typo in parsers module

commit 47ced63721110a78322d14ea26a073e50c372429
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Aug 13 15:24:22 2010 +0200

    [tests] add unit tests for .spec parsers

commit 20e5bb6018421ed6e7d37eaf85a20fc101e86975
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 12 22:40:29 2010 +0200

    [todo] update TODO

commit 060b6230d11db758392a6ecee1b9c81ede982d19
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 12 22:40:16 2010 +0200

    [tests] add initial unit tests

commit 240e79a5c092b2d68b45d34fef44fdeeac737e97
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 12 22:39:41 2010 +0200

    [molecule.utils] improve reliability of valid_exec_check and remove_path_sandbox

commit a394b310c3f4e1615a5ba769b0ae9eb66143ad5a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 11 11:24:13 2010 +0200

    Tagging Molecule version 0.9.20.1

commit 439afef7211de04968dd37b8b9abde6e33825ff2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 11 11:23:43 2010 +0200

    [molecule.specs.plugins.image_plugin] improve loop device removal logic

commit 68a890dc40710b469073c1f2e4fd83b1b6c840b6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 10 19:07:43 2010 +0200

    Tagging Molecule version 0.9.20

commit 59f241dcaa82c2dc37fcbd9fdb65157d6e4216a6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:50:02 2010 +0200

    [molecule.specs.plugins] image_plugin: save one function call by calling os.urandom() directly

commit 0be6cc56d126ad5cb1342020406b2ad15a946ba1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:43:17 2010 +0200

    [po] add molecule.pot, it was missing

commit 88a3a9348f34b79cda923c6e1d6caff66d80d191
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:43:02 2010 +0200

    [todo] update TODO

commit 1a0fdbc2476ab15d64ceec9c785572b7095937dd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:42:55 2010 +0200

    [po] update translations

commit 3e918c703c0bda1db2d91ee55d1c21a137402461
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:41:57 2010 +0200

    [molecule.specs.plugins] introduce iso_to_image plugin.
    
    This plugin allows to build filesystem images (user can define the
    filesystem type) off an ISO image.

commit 91242f37445c577956ac08af6c49cfe821327714
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:40:00 2010 +0200

    [molecule.specs.plugins.remaster] warn if something in IsoUnpackHandler.kill() fails

commit dfb187fd824449a00666d77e7e553cf655932dde
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 18:36:46 2010 +0200

    [molecule.specs.plugins] use molecule.utils.mkdtemp()

commit e78499849bb23f451fa7a55296a9d576449249e4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 18:33:31 2010 +0200

    [molecule.utils] add mkdtemp()

commit baf978dac3620710809a095cd6db7def82d85343
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 18:32:50 2010 +0200

    [molecule.specs] make possible to subclass IsoUnpackerHandler easily

commit ea2edc7297e244458b6bfc74f5ed83e6e4c2e074
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 17:42:04 2010 +0200

    [molecule.utils] add get_random_str()

commit c75dd2f43df2842ee400b768ff90cd2065140746
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 17:41:03 2010 +0200

    [molecule.settings] squashfs and iso images have to be mounted read-only

commit 8a84fb62d4c9ed36624c3940f0311cb52788afdf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 16:11:44 2010 +0200

    [molecule.specs] improve hooks execution reliability, do not taint application environment with hooks specific stuff

commit 0badcb861323f5b67e606cd183bee88aad8b839f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:54:43 2010 +0200

    [molecule.utils] improve random numbers generation

commit 601b9cd752eac5a3be96f25a119b98fec6f72698
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:45:58 2010 +0200

    [molecule.utils] add "env" keyword argument to exec_chroot_cmd and exec_cmd

commit de15e642880f2bd118b65f2aa4e41c06b045660c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:45:28 2010 +0200

    [molecule.specs.plugins] properly use molecule.utils.exec_chroot_cmd()

commit c9631810c5f561585a11d9a9cba9753ca52d1e94
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:39:09 2010 +0200

    [molecule.examples] update spinbase-openvz-template.common, remove env vars not set for error_script

commit ce224a517e5feed68e06a6de0052f9737ad64112
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:25:36 2010 +0200

    [molecule.settings] use absolute paths for hard-coded executables

commit 1ceb5b7be9257201b12e7cd89d49dee2b2b58429
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:21:02 2010 +0200

    [molecule.plugins] safely using mkstemp()

commit fa3530c7e896ef8f2dcffe47922793ec7edbeaab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:08:36 2010 +0200

    [molecule.utils] add exec_cmd_get_status_output function

commit 87c475aadd25b8c7ffdf658351701a9283fdf25e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:08:02 2010 +0200

    [molecule.specs.plugins] always return int from GenericExecutionStep.setup()

commit a345bbf5815c0a57734432295fb8a5b6b18f18ec
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 4 23:53:24 2010 +0200

    [molecule] place --nocolor handling before --help, close bug 1685

commit e67f9e308a9a46d8acf8d788ad1bdf5c1505227f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Aug 2 10:12:35 2010 +0200

    [molecule.cmdline] move super user checks into molecule.cmdline

commit 70b531fee9a0bb791330e0629ef41ba23706dc40
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Aug 2 10:04:22 2010 +0200

    [molecule] catch KeyboardInterrupt by running kill phase in while loop

commit 570ab977d11ee21c021a6b4f03d2c312720dc7d0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 1 22:49:47 2010 +0200

    [molecule.specs] GenericSpecFunctions: add ve_integer_converter()

commit b68e6dfd452075ac6ef2f2439f7fdc26711358bd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 1 22:47:33 2010 +0200

    [molecule] GenericSpecFunctions: add valid_integer()

commit 0495f25a814568637024c6acec2f5bbae1a888ae
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 1 18:21:11 2010 +0200

    [molecule] add support for enforcing super user privileges requirements

commit 83dd67e84b044b577218a491f4231ea1498d2417
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 1 18:10:01 2010 +0200

    [molecule.utils] add some documentation

commit f57c580238692b4b635ac450db8a85847deb3da4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 1 18:03:50 2010 +0200

    [specs] fix typo in example file

commit 038bdd00f2491687b3f5aa69e922c71e872ac5ce
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:47:38 2010 +0200

    [molecule.examples.specs] update GNOME/KDE spec files

commit 0106f11b1ec11269b3067ad2a3208a43f2b75502
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:45:36 2010 +0200

    [molecule.examples.specs] update .spec files

commit 8b01038fbf4ced9d7bd9ab011af9ecbecf4fe18b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:13:08 2010 +0200

    Tagging Molecule version 0.9.12

commit 7fab6a3956bccac67c9a8ec44167c96b6c953d27
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:11:56 2010 +0200

    [molecule.specs.plugins.tar_plugin] add "pre_tar_script" and "post_tar_script" parameters support (see example)

commit d5739d7f617eb7481091a1a954966e4a4ac25539
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:11:37 2010 +0200

    [molecule.specs.builtin_plugin] trivial comment update

commit 2d2dbcff4027125e02d4f90130fc745ab7577357
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:01:56 2010 +0200

    [molecule/examples] add more documentation to "pre_iso_script", and document "post_iso_script"

commit 0ebe0e4179d9aca25bf8f95e494aa1e91a69f7fc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 10:49:16 2010 +0200

    Tagging Molecule version 0.9.11.2

commit 39bbd73d327bf011bc62ae8e5dd849a818abdaf2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 10:41:03 2010 +0200

    [molecule.specs.plugins] BuiltinHandlerMixin._exec_inner_script: rework in-chroot exec files handling

commit 2ce1c71664d4e3f74e02159466580eba8bd0b8f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 10:40:44 2010 +0200

    [molecule.utils] exec_chroot_cmd: tweak default args

commit 803136263e8e5197a57e4b84dd0f6de3e2b98d17
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 22 14:34:09 2010 +0200

    [molecule.examples.scripts] update more example scripts

commit 082e85f2bee38414a6a161710103e51c432c07ea
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 22 14:18:09 2010 +0200

    [molecule.examples.scripts] update example scripts to work with Entropy >=0.99.48

commit b3f2c8831bb6120209211732473ec1a4d0daa1ca
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 22 13:55:51 2010 +0200

    Tagging Molecule version 0.9.11.1

commit c50c69aa20a239a51ae1bc0d98824f34dc4cdc31
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 22 13:54:56 2010 +0200

    [molecule.specs.skel] fix regression, 'prechroot' variable is list, not str

commit 582a1e73542cf46762ad24a578929ec2718da312
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:56:47 2010 +0200

    Tagging Molecule version 0.9.11

commit c484bf43b63a52c2fa57327950ad34350ae6afd2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:55:46 2010 +0200

    [molecule.specs.plugins.tar_plugin] generate .md5 for created tar file

commit 9549efa896a8e0d6bc98a558f2315595fc079817
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:53:01 2010 +0200

    [molecule.specs.plugins.tar_plugin] add inner_chroot_script_after support

commit 6be039132f2fba7acc8d67c70a3ed1516c8ac51d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 19 00:26:07 2010 +0200

    [molecule] update TODO

commit c761d128cf91046cf131ec594625c695a8089615
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jul 18 22:56:09 2010 +0200

    [molecule.specs.skel] export prechroot variable to environment

commit f9dc3d0ed96afd30dec4b93df1dc39c09596f4a7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 16 01:06:23 2010 +0200

    [examples] update openvz .spec files

commit f9aa862a20bf29277dea616b325186331e220276
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 16 01:00:16 2010 +0200

    [examples] update openvz .spec files

commit 7a2019e54571e3602d5b9aa0311849c66157e6f3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 17:04:10 2010 +0200

    [examples] remove old OpenVZ .spec file examples

commit e9a6f805224c0155e8903e85c59d19f80bfb3569
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 16:55:20 2010 +0200

    Tagging Molecule version 0.9.10.20

commit 304450d4b98a264405d7667cc45b57bcd48082da
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 16:54:33 2010 +0200

    [examples] update molecule .spec example files

commit e3cffbb10e1cc63048dfcdcdd52b23290623b336
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 16:50:28 2010 +0200

    [molecule.specs.plugins.tar_plugin] make "tar_name" parameter working, remove unused "merge_livecd_root"

commit 2043c147aa0b691a71200863ac51aaf5272e1af7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 08:50:03 2010 +0200

    [examples] remove unavailable parameters "pre_iso_script", "post_iso_script" from molecule iso_to_tar template

commit 8565d9677b265a168cc8cfedafa6a99f3cdc8a6e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 16:29:58 2010 +0200

    Tagging Molecule version 0.9.10.11

commit df0b7c362551a5ea9fb196a3c003a864e1de845b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 16:27:14 2010 +0200

    [molecule.settings] fix parser bug causing statement values containing ":" to be truncated

commit 8c371b01dcc1e18d4866079a759cf808447c9f99
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 09:52:44 2010 +0200

    Tagging Molecule version 0.9.10.10

commit 3900a1ef183757de4a11445df10d8df83752eabc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 09:51:15 2010 +0200

    [molecule.plugins] in remaster_plugin, tar_plugin add support for release_version, release_desc, release_string, release_file metadata

commit 46f659a01902aef733a4996cb6c8d0ac568c3375
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jul 4 20:44:52 2010 +0200

    [examples] add basic openvz template .spec file examples

commit 17976da25ddde263a4cf47ec96015f2bdddb4adf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:30:15 2010 +0200

    Tagging Molecule version 0.9.10.3

commit 8c41c2f5cebe251b103f88409eefd8f5b5cd34f4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:29:40 2010 +0200

    [Makefile] do not install Makefile to live-system thanks to ssuominen@gentoo.org for reporting

commit 8fc1b6e1724a363fc10ef2d6c4def2d33e39fef1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:11:43 2010 +0200

    [todo] update TODO

commit b0f1fee4a322b503a09ea9053fae9a2e63801398
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:09:44 2010 +0200

    Tagging Molecule version 0.9.10.2

commit 977b69a4b5fae8f69277660bf0055efe110d5160
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:09:25 2010 +0200

    [molecule.utils] make md5sum() working with Python3.x

commit c30e2b25d5012ddfd0d0c1ec1e4bb15053f4c63e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:03:11 2010 +0200

    Tagging Molecule version 0.9.10.1

commit a13b9b6a8f5983518e14fb10454764bf3fdab464
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 10:51:45 2010 +0200

    Tagging Molecule version 0.9.10

commit 59511cc68d714a6f70a75bb5d98a7518534346bf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 10:42:47 2010 +0200

    [molecule] other Python3.x fixes

commit 7e8f080ec569f28880dbb009009f939e82062547
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 10:37:28 2010 +0200

    [molecule] improve Python 3.x support

commit 760b1cdc15ddc3292f528ddb8c7d3ec53814f9b9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:34:48 2010 +0200

    Tagging Molecule version 0.9.6.3

commit a496e6cf9abd7963c8040b5509dd312320197275
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:34:27 2010 +0200

    [Makefile] use $(MAKE) instead of "make"

commit 4e0e8e2f5ff066965a036f530602118c7ff2103c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:06:31 2010 +0200

    [scripts] append end of tagging message to tag-version.sh

commit 6e6153b369060da7673d6e5f48a49e1874b83f2d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:56:17 2010 +0200

    Tagging Molecule version 0.9.6.2

commit 0e7d9d67b4b156e320e319e7902da2bec4e4cacf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:56:04 2010 +0200

    Revert "[molecule] builtin_plugin: use shlex when calling mkisofs"
    
    This reverts commit 63515f0f52c5ff1244c584256b89baa5b6f0c816.

commit d7ca87485fc7d7163c569f16bc4de96fb25b4c98
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:55:54 2010 +0200

    Revert "[molecule.specs.plugins] builtin_plugin: fix shlex usage"
    
    This reverts commit 334b64f8b26263b6cb419cc60ac923150323bc18.

commit 8316b4616e00871f15a29c9e933737f7f6ad5a6e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:52:06 2010 +0200

    Tagging Molecule version 0.9.6.1

commit 334b64f8b26263b6cb419cc60ac923150323bc18
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:51:47 2010 +0200

    [molecule.specs.plugins] builtin_plugin: fix shlex usage

commit eebebdadccec2e2588bd21a9a1788e298c29931b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:19:12 2010 +0200

    Tagging Molecule version 0.9.6

commit 674506d0da098c31a0d2c645566c18303bfb691f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:18:23 2010 +0200

    [molecule.plugins] set ISO_PATH and ISO_CHECKSUM_PATH env vars before calling pre_iso_script

commit 1eb420b5f29d37bfa64a6ded1a467fdd22139fdc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 15:52:12 2010 +0200

    [molecule/examples] add more example files

commit 4aad1c784bfbedc4ec06170492747d6c25627f4d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jun 5 12:03:48 2010 +0200

    [molecule] add post_iso_script hook support

commit 63515f0f52c5ff1244c584256b89baa5b6f0c816
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 3 20:42:44 2010 +0200

    [molecule] builtin_plugin: use shlex when calling mkisofs

commit 15203d8838b280719042ce8dbf1e966990fce24b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 24 20:27:33 2010 +0200

    Tagging Molecule version 0.9.5.1

commit 49dc2f1d3fd8623cf12efd8aaf729c3de39121fc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 24 20:26:23 2010 +0200

    [molecule] remaster_plugin: fix directory leaking

commit 057b5f60bda5cd0fd7d5bf1bab97f8bd06586d06
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 22 12:07:33 2010 +0200

    Tagging Molecule version 0.9.5

commit 9505451216515d4b308fa54f6119b6d494d9a769
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 22 12:07:02 2010 +0200

    [Makefile] fix molecule library install path

commit d001d56818610b87834803c36d90c2d2e4a9c009
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 22 12:05:54 2010 +0200

    [molecule] update POTFILES.in and .pot

commit 08659178f2a4483063ec5273c43845b1b56193c4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu May 20 20:14:13 2010 +0200

    [examples] revert erroneous changes to .spec file

commit 1e7f49b4087847d4497cf1c2b9580b29596245c7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu May 20 15:42:10 2010 +0200

    [molecule] add preliminary support for template files preprocessor
    
    Implement "%import /path" preprocessor statement support inside
    .spec files

commit 24ac6c0724e18a6d61772d0c05dad32158322f81
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 17 11:10:38 2010 +0200

    [todo] update TODO

commit 617e23f1e5ac090390b808d0cf07e521fab9dd43
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 17:41:08 2010 +0200

    Tagging Molecule version 0.9

commit e292ac6de5db0de5323a6f278c8b445454abe98d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 17:33:04 2010 +0200

    [molecule] implement real Molecule Plugin Factory and use it

commit 3d2d489cbb5037cb88e5136620e32fab43beb747
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:41:41 2010 +0200

    [todo] update TODO

commit ac7d4376c2a347a223f10a35568595387c7433c0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:41:32 2010 +0200

    [git] update .gitignore

commit ccb592ba067c567d19595770072094cf2feaf826
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:40:50 2010 +0200

    [Makefile] add po/ dir to build system

commit 8d40197b03fb33b7a4c52c04dba8c574f2202b23
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:39:53 2010 +0200

    [po] add i18n support

commit 531442ec21791fa92af31cf8e60623e8b94c7f32
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:28:08 2010 +0200

    [molecule] add version tagging script, fix version handling

commit 4f0c9c0ffdf77acd85bfa1646a286742c476bad8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 14:46:16 2010 +0200

    [molecule] add Makefiles

commit def0668050d73c0d8f25a461c6814a38be6c1eb3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 13:38:58 2010 +0200

    [todo] update TODO

commit 47830e63e69d4de02f9b899211e2dce6b5d30941
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 13:38:28 2010 +0200

    [todo] update TODO

commit ef7aebd129688eb8c12e1f6039e71903c21a871c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 15 22:18:37 2010 +0200

    [molecule.output] trivial code update

commit dccc8ff2e1ec27d5cb08e825bc3606580f2d3307
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 15 22:15:44 2010 +0200

    [molecule.output] fix redirection of stdout to file

commit 356bb0a6dca7fee1391753dd151809e8c283608b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 15 22:11:13 2010 +0200

    [molecule.output] port new code from Entropy (entropy.output)

commit 189a84b960142bdbdf607378acbc031cc562fc08
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 22:33:59 2010 +0200

    [molecule.specs.remaster] fix support for destination_iso_image_name, thanks to Joost Ruis for reporting

commit 41f4f77abe380482990b89db2ec35f5854b5473f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 22:27:19 2010 +0200

    [examples] add more example scripts

commit 4158e52ba36f6771f19131f067219bdca0f7927c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 16:50:37 2010 +0200

    [molecule.settings] version bump

commit 996cdfe3c19d6c4147fd4e2bfcf9d0fdbcd6f0b2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 16:49:49 2010 +0200

    [molecule.specs.plugins.remaster] fix wrong arguments in _exec_inner_script call

commit 29d45a193430bc8afbda65d0cf10f692144f5f70
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 29 16:41:06 2010 +0200

    [molecule.output] disable colorized output if stdout is not a tty

commit b405c152b97f8da014ff7495ae0496d66dfabe8b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 25 16:15:09 2010 +0200

    [molecule] update version

commit 574464aa0a7b5c5348c94988f5153549a561ada8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 25 16:13:09 2010 +0200

    [molecule.specs.skel] export general purpose variables to env
    
    When GenericExecutionStep instance is created, some general purpose
    .spec file variable values are exported to environment:
    - RELEASE_STRING
    - RELEASE_VERSION
    - RELEASE_DESC

commit bf9314455c61e5bd9d627f6bfc5cd0209ebfe676
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 22 22:13:04 2010 +0200

    [molecule] remove python 2.5 __future__ import

commit 9df4990c6334ccefb8c5285196c8b5857c7b1b81
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 22 22:12:42 2010 +0200

    [molecule.specs.builtin] fix _run_error_script()

commit 7cc4968a5e5363c7e2129e497a0f0e8390d3ac10
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 19 11:02:20 2010 +0200

    [molecule.settings] bump version inside settings

commit 657a6ed262f1e9611e5459b6f33aaf09c10e377b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 18:49:46 2010 +0200

    [molecule] kill all running children pids on exit

commit 92b09e57f9a927407ff2a0ea268064384de8ad61
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 18:42:39 2010 +0200

    [molecule.specs.plugins.builtin] add support for inner_source_chroot_script
    
    inner_source_chroot_script hook can be used to permanently modify
    source chroots when using the standard execution strategy (chroot -> iso)

commit 719d68de05a9342063fad0921b46f8c50e0bf0de
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 18:24:31 2010 +0200

    [molecule] implement arguments support for *_chroot_script_* statement.
    
    This commit improves the support to script hooks, making possible to pass
    arguments to them via .spec statements (outer_chroot_script, outer_chroot_script_after,
    inner_chroot_script, inner_chroot_script_after, pre_iso_script)

commit cadeced8818b04d430170aa1407b487879e7fa61
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 13:44:34 2010 +0200

    [specs] update .spec example files

commit 77f1f401f1ff9a9796f648ff53b96ffbf6432992
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 8 17:05:29 2010 +0200

    [todo] add TODO

commit 7ad653b316499dfde748238cc742df3ab5d110e1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Feb 15 11:28:04 2010 +0100

    [molecule] fix extra_rsync_parameters option handling

commit 40eedd53ae3323d444c402978fd0424b52b81728
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Mon Dec 21 21:55:48 2009 +0100

    [molecule.specs] add error_script .spec file directive support

commit 46d3987985da92b40a295d6ee563886d8a6f223a
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Sun Dec 20 22:37:52 2009 +0100

    [settings] run mksquashfs with -no-progress, to improve usage over ssh and slower networks

commit b1a46ec8526576dc64c1e21a2103e3b6fc4e3181
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Fri Dec 18 10:25:30 2009 +0100

    [molecule.specs.remaster] fix custom_packages_add_cmd and custom_packages_remove_cmd support, thanks to Brian Tomlinson for reporting

commit 126d021f69662181241a394aaf2b7e56cd7661f0
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Mon Dec 14 14:53:06 2009 +0100

    [molecule] update molecule version

commit 64105dc6426f310748a4ee32bef65eb6e26ce921
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Mon Dec 14 10:45:50 2009 +0100

    [molecule.specs.plugin.remaster] add inner_chroot_script_after hook, to be executed after packages installation and removal

commit facce3158f4e3ab5ca0d68876a6e059fbd9fb00a
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Dec 1 19:39:17 2009 +0100

    [molecule.settings] prefer --delete-during to --delete-before rsync arg

commit 400cf1d049cb9f2f9a0e6d169bce36e60f8a45a7
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sat Nov 21 23:44:46 2009 +0100

    [molecule] implement ISO to TAR handler

commit e7393b789ad830cf1215ece89099657221861ffd
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sat Nov 21 23:44:05 2009 +0100

    [molecule] do not print traceback when CTRL+C is pressed

commit 282d84b57ead722815e9df489861b192845992ba
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Wed Oct 28 20:41:14 2009 +0100

    [repo] add .gitignore

commit 8ba46f763590f3adc89993be73eab8131df9fa29
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 21:09:26 2009 +0100

    [molecule] fix mkisofs title argument

commit 3d3ae2c6dc1dbccd88a027c43fbb6bb5e6aed64e
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 16:42:25 2009 +0100

    [molecule] fix runner issue

commit 59f3b9af93d21d7dcf8e9ab4a9d45824709d262f
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 16:33:34 2009 +0100

    [molecule] improve ability to reimplement Handlers, add setup() method, fixup code accordingly

commit c7f7d09ba04e96f2405522ee9f26ca6f0167007b
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 16:10:49 2009 +0100

    [molecule] add support for outer_chroot_script_after (to be executed after inner chroot script)

commit 12a1d83ac9e9164b082279b12749574f2d2edce2
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:57:58 2009 +0100

    [molecule] remaster plugin: do not remove/empty paths before hooks, always kill tmp dir

commit e6f8062c2aa20957eef1f14e1f2d303988465a52
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:35:45 2009 +0100

    [molecule] remaster plugin: run repo update hook before everything

commit cf77c886fa6727b2ed45015d7472f198c2c794ee
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:31:19 2009 +0100

    [molecule] update spec file

commit 14f2ae9dd932ff0190316e6cb5d7a7854dcb495c
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:28:45 2009 +0100

    [molecule] remaster plugin: remove 'mod' key from parser data dicts, make possible to split packages_to_add/packages_to_remove using comma

commit 8731a14818454db100f9b1d79c7ce16b0c89f2bb
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:22:00 2009 +0100

    [molecule] remaster plugin: add support for paths_to_remove and paths_to_empty

commit 519ea46e3a70ef70328e3b9d85b10060513dcfda
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:16:09 2009 +0100

    [molecule] remaster plugin: run chroot hooks before packages handling

commit 705338049cef20ab072f426cd0eeb93d44ef4b5f
Author: Fabio Erculiani <fabio@linux.local>
Date:   Tue Oct 27 06:08:29 2009 +0100

    [examples] fix spec example

commit 3942828a87185a5af0297c5212c07a7ec1372e79
Author: Fabio Erculiani <fabio@linux.local>
Date:   Tue Oct 27 06:07:46 2009 +0100

    [molecule] add missing module

commit 7581c19dd0ae2fee48f47f15d607ee41ffecfc9f
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sun Oct 25 14:15:42 2009 +0100

    [specs] fix typo in example spec file

commit eb700e51331e06ad234d6f36708b9ae5fd6abb52
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sun Oct 25 13:57:13 2009 +0100

    [molecule] complete support for easily remastering Sabayon ISO images

commit f55ec1646bb70e2efad0958e03912b2f504bd692
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 12:45:07 2009 +0200

    [molecule] move code to plugins, implement fuzzy iso_remaster plugin

commit 768d454e74959ec891fcdddd10284cff7c80e4e8
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 12:44:22 2009 +0200

    [molecule.settings] add __plugin__ key in metadata to be able to use SpecParser plugin afterwards (and fix typo)

commit 010d2b82e9801f0df3dafaf9575379a14da8a3ed
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:59:46 2009 +0200

    [molecule.specs] add missing import

commit 9bcd860c3284abdda64c1f83372332cfa48abde3
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:57:29 2009 +0200

    [molecule] add iso_remaster execution_strategy spec file plugin

commit 555dbcc8b3c269eb0edc1e26b02c12c387368c4e
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:43:14 2009 +0200

    [examples] update .spec files, add non-mandatory execution_strategy stmt

commit 9e4112614fac3dddf1ec4a0953bb0c98066440f4
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:41:45 2009 +0200

    [molecule] make Spec* classes pluggable
    
    This will allow the implementation of multiple execution strategies.
    For example, a simple ISO remaster (with pkgs add/remove) would be easily
    implemented.

commit b3030850f1d859fa71fc8495fd663e3e1245547c
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:40:13 2009 +0200

    [molecule] update code style

commit c9f32a96c5b460a5bed30dc32dc52aa74a88574e
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 11:39:29 2009 +0200

    [molecule] update code style

commit b9c96a25fae929ba6e4fdc415ed093a123ec14d2
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Wed Oct 7 22:34:41 2009 +0200

    [examples] fix outer_chroot_script.py example

commit cd57408068cc9d4724ac18e42ab4302b46dc7931
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Sun Oct 4 21:48:55 2009 +0200

    [examples] update examples dir

commit 3299150e048e8f57fb41fd18447b28327c0e1d78
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Wed Aug 12 15:48:17 2009 +0200

    [examples] update inner_chroot_script sample file

commit 29ce55842f2b79a89a26fa9f6924c7b99778c09d
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu May 21 22:45:23 2009 +0200

    update inner chroot script

commit 68e814f8b46b6f7bbf6fa770d9c1ca43b2326a47
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu May 14 12:43:38 2009 +0200

    update examples

commit 7128f99abc69a022b4bc523d79d8691da4be2bca
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 16:12:39 2009 +0100

    adding other Sabayon4 spec files

commit 2b658b52596a179d29efd9d14aff5b3b589b15cc
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 15:31:04 2009 +0100

    fix molecule.utils.remove_path_sandbox
    
    paths did not get expanded when using list arguments, so try using
    shell = True and pass a string

commit d8d8d16b9abe651714461c73c1fdabfc02d120ff
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 15:12:12 2009 +0100

    add other rsync arguments
    
    --delete-before and -d should make clear that we don't want stale
    files in the receiver path and its subdirs

commit 11822234adc03c3e44112bf984ce393a1324dcda
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 14:48:54 2009 +0100

    revert rsync -X argument
    
    clients can not support extended attributes

commit b2eadf7841dd4f2c4d93eba4c153366ff9b3d5d6
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 14:46:49 2009 +0100

    add missing arguments to rsync
    
    -X, -A, -H and --recursive could be handy and were missing.

commit 2083ff143fcaed953c2164ef0cfca31a13340f57
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Thu Mar 26 12:53:57 2009 +0100

    fix .md5 creation
    
    After mkisofs, md5sum is run and .md5 file is produced. The latter
    was created incorrectly, first is the checksum, then the filename,
    not vice versa.

commit bccb1f97d2d995b5037c224a5fcf5db08ef84d34
Author: root <root@mars.(none)>
Date:   Wed Mar 25 12:47:33 2009 +0100

    do not reimplement built-in exceptions
    
    Remove exceptions shadowing built-in ones from molecule.exceptions
    and update the code to work with this change

commit db9d6025b38e6e13b07bd280f8b29f95e412ee72
Author: root <root@mars.(none)>
Date:   Wed Mar 25 12:45:18 2009 +0100

    remove unused imports and fix inner chroot script removal
    
    EnvironmentError and NotImplementedError are built-in exceptions
    so better stop using them in handlers.py
    
    Inner chroot script didn't get removed properly after creation.
    This should fix it.

commit 5383ea26bdc6ea9b7cc7ee1f383157471432c732
Merge: 4c07da0 7dd506a
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:56:28 2009 +0100

    Merge branch 'master' of git+ssh://sabayonlinux.org/home/git/projects/molecule

commit 7dd506ac4e2d668c4d07205f4f80daee8c3991c7
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:25:23 2009 +0100

    removed EMPTY

commit 09fec45cda8575d6025b92784b9baf34691d40c2
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:11:01 2009 +0100

    first commit

commit 4c07da0ffdb3c3e6217cba29ba081e0f301aad0c
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sun Mar 15 17:13:54 2009 +0000

    Molecule:
    - generate ISO md5 file automatically
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3190 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 624a3acdde40745aa571878f53fee92d600cd5c2
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Mar 10 15:28:14 2009 +0000

    molecule: add inner chroot script example
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3138 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 551fc67c31ecec695cf953336dc8b2090e8ce34b
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sun Mar 8 23:21:24 2009 +0000

    Molecule:
    - when executing a script inside a chroot, remember to remove it once done
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3134 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 9560145682c4117cf950a26832459ed6406440aa
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Thu Mar 5 13:34:46 2009 +0000

    Molecule:
    - fix release file creation
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3111 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit fae805e3fdac5b798f370eb87781de263e21e459
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Mar 3 12:20:43 2009 +0000

    Molecule:
    - implement sandbox support on ChrootHandler
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3104 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 2554dd1743d7254acf85c55e1a22fe7649cffddd
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Mar 3 10:56:55 2009 +0000

    Molecule:
    - fix a type error
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3101 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit a37b46675d067c299faae8601434b791a0f24f15
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sun Mar 1 19:53:01 2009 +0000

    Molecule:
    - mkisofs accepts Volume IDs at most 32 chars long
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3097 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 9645cbdc256d6f6815ae2d9f2d647fedc14e1829
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sun Mar 1 19:43:27 2009 +0000

    Molecule:
    - allow to split spec file variables into multiple lines (paths_to_remove for example)
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3096 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 8adae5a70e9b544a203cb6d1052c3e16356059f8
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Mon Feb 16 17:14:57 2009 +0000

    Molecule/Settings:
    - use dict object directly, no need to duplicate its methods
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@3033 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit bd9a6ba8adfd633c38ca43f76ddc06f60fc0964b
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sun Feb 8 14:37:55 2009 +0000

    Molecule: fix prechroot parsing
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2997 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 8bb9afc28703d8bc6f8eab0cf90bc9c6053a4634
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Thu Feb 5 15:56:30 2009 +0000

    molecule: avoid lines longer than 79 cols
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2995 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 284a35273886e162197d9d9d4397954d021f2efc
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Thu Feb 5 13:13:06 2009 +0000

    molecule: adding some stuff to the examples dir
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2994 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 5f8bd237d10d29b62555be36976205ff3089cdc1
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Thu Feb 5 12:13:40 2009 +0000

    Molecule: implement prechroot facility
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2992 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 0d469c494a34cf805cac79588d3f16a776c71f03
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Feb 3 21:18:37 2009 +0000

    Molecule:
    - massive bugfixing, it's starting to work
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2990 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit b2a5ab49a484d411bc0bd2b251eef8ed0a05d723
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Feb 3 15:19:05 2009 +0000

    Molecule:
    - bugfixing several areas
    - adding missing spec file options
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2989 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 3659c5db7155773d7940cb03ef5a4b6d91dedb6b
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Tue Feb 3 07:34:12 2009 +0000

    Molecule:
    - initial code in place
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2982 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 1b99b9dbae4f34d9da8a14f8f96685dff716675c
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Mon Feb 2 14:46:34 2009 +0000

    Molecule:
    - started to implement handlers
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2980 cd1c1023-2f26-0410-ae45-c471fc1f0318

commit 1cda81a93d89fd569364557696f7c842ad7ea0e7
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sat Jan 31 21:57:47 2009 +0000

    Molecule:
    - first chunk of code
    - general infrastructure done
    - spec file parser done
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2977 cd1c1023-2f26-0410-ae45-c471fc1f0318
